#!/bin/bash

declare -a todo

HOST=$(hostname)
# todo=("(4,-3)x(4,5)" "(4,-4)x(4,4)" "(5,-3)x(4,4)" "(6,-2)x(4,4)" "(4,-4)x(3,5)" "(5,-6)x(2,4)")
# if [ "$HOST" = "pn2" ]; then
#     todo=("(6,-6)x(2,3)" "(6,-3)x(2,4)" "(5,-5)x(2,4)" "(6,-4)x(3,3)" "(5,-5)x(3,3)" "(6,-4)x(2,4)")
# elif [ "$HOST" = "pn3" ]; then
#     todo=("(5,-6)x(2,4)" "(4,-4)x(3,5)" "(6,-2)x(4,4)" "(5,-3)x(4,4)" "(4,-4)x(4,4)" "(4,-3)x(4,5)")
# elif [ "$HOST" = "pn4" ]; then
#     todo=("(6,-3)x(1,5)" "(5,-3)x(1,6)" "(5,-4)x(2,5)" "(6,-5)x(3,3)" "(6,-1)x(3,5)" "(5,-1)x(3,6)")
# elif [ "$HOST" = "pn5" ]; then
#     todo=("(4,-3)x(3,6)" "(5,-2)x(4,5)" "(3,-3)x(5,6)" "(6,-4)x(1,5)" "(5,-4)x(1,6)" "(6,-5)x(2,4)")
# elif [ "$HOST" = "pn6" ]; then
#     todo=("(6,-2)x(2,5)" "(5,-2)x(2,6)" "(4,-6)x(3,4)" "(5,-3)x(3,5)" "(6,-1)x(4,5)" "(5,-1)x(4,6)")
# elif [ "$HOST" = "pn7" ]; then
#     todo=("(3,-4)x(4,6)" "(4,-2)x(5,6)" "(6,-5)x(1,5)" "(5,-5)x(1,6)" "(5,-5)x(2,5)" "(5,-5)x(3,4)")
# elif [ "$HOST" = "pn8" ]; then
#     todo=("(4,-5)x(3,5)" "(3,-5)x(4,5)" "(6,-1)x(5,5)" "(5,-2)x(5,5)" "(4,-3)x(5,5)" "(5,-1)x(5,6)")
# elif [ "$HOST" = "pn9" ]; then
#     todo=("(6,-1)x(0,6)" "(6,-2)x(0,6)" "(6,-3)x(0,6)" "(6,-4)x(0,6)" "(6,-5)x(0,6)" "(6,-6)x(1,5)")
# elif [ "$HOST" = "pn10" ]; then
#     todo=("(6,-6)x(2,4)" "(6,-3)x(2,5)" "(5,-3)x(2,6)" "(6,-6)x(3,3)" "(6,-4)x(3,4)" "(6,-2)x(3,5)")
# elif [ "$HOST" = "pn11" ]; then
#     todo=("(5,-2)x(3,6)" "(4,-4)x(3,6)" "(6,-3)x(4,4)" "(5,-4)x(4,4)" "(4,-4)x(4,5)" "(4,-3)x(4,6)")
# else
#     exit 1
# fi

for shape in "${todo[@]}"
do
    julia --project make-coloring-graph.jl "${shape}"
done
